#!/bin/sh -

# New top-level script, now that we need to run rpki-pbuilder.py multiple times with different arguments.
# May eventually want to consolidate all of this back into rpki-pbuilder.py, but not today.

# At the moment, coverage with the new code is a bit scattershot.  It works with trusty, with backports
# from xenial; it works for stretch, and it works for jessie with a lot of backports from stretch.
# Backports for wheezy are probably more trouble than they're worth, and there seems little point
# in putting effort into the non-LTS Ubuntu releases.
#
# In practice, the old code no longer builds for precise, which is an LTS that's still under support.
# Don't yet know why.

/usr/sbin/logrotate -s $HOME/logrotate.state $HOME/logrotate.conf

exec >> $HOME/builder.log 2>&1

set -x

cd $HOME

python rpki-pbuilder.py					\
    --svn-tree $HOME/source.ng/tk705/			\
    --apt-tree $HOME/repository.ng/			\
    --url-path /APTng					\
    --backports python-django python-tornado		\
    --releases ubuntu/trusty

python rpki-pbuilder.py					\
    --svn-tree $HOME/source.ng/tk705/			\
    --apt-tree $HOME/repository.ng/			\
    --url-path /APTng					\
    --releases ubuntu/xenial

python rpki-pbuilder.py					\
    --svn-tree $HOME/source.tos/trunk/			\
    --apt-tree $HOME/repository.tos/			\
    --url-path /APT					\
    --backports python-django-south			\
    --releases ubuntu/trusty

python rpki-pbuilder.py					\
    --svn-tree $HOME/source.tos/trunk/			\
    --apt-tree $HOME/repository.tos/			\
    --url-path /APT					\
    --backports python-django python-django-south	\
    --releases debian/wheezy

python rpki-pbuilder.py					\
    --svn-tree $HOME/source.tos/trunk/			\
    --apt-tree $HOME/repository.tos/			\
    --url-path /APT					\
    --backports python-django python-django-south	\
    --releases ubuntu/precise
